Skip to content
GET/{organizationId}/{mandateId}/booking/services/{serviceId}

Get service

Returns a specific service with all of its details for a given mandate

Required permissions:

  • mandate.read

  • supplementaryService.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
serviceIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/booking/services/{serviceId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/services/{serviceId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

ObjectId as string

namestringrequired

minLength: 1

maxLength: 64

descriptionstringrequired

maxLength: 140

tagsstring arrayrequired
minOptionsinteger | nullrequired

maximum: 9007199254740991

exclusiveMinimum: 0

maxOptionsinteger | nullrequired

maximum: 9007199254740991

exclusiveMinimum: 0

Response

200
{
  "_id": "000000000000000000000001",
  "mandate": "000000000000000000000001",
  "name": "string",
  "description": "string",
  "tags": "string",
  "minOptions": 1,
  "maxOptions": 1,
  "options": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "price": {
        "isNet": true,
        "price": 0,
        "taxCode": "string",
        "account": 1,
        "costCenter1": 1,
        "costCenter2": 1
      }
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}